import { join } from 'path'

import test from 'ava'
import webpack from 'webpack'
import MemoryFileSystem from 'memory-fs'

test('loader adds syntax highlighting elements', t => {
  return new Promise(resolve => {
    const compiler = webpack({
      entry: join(__dirname, 'test.html'),
      module: {
        rules: [
          {
            test: /\.html$/,
            use: [
              {
                loader: '@ianwalter/callback-loader',
                options: {
                  callback (content) {
                    t.snapshot(content)
                    resolve()
                  }
                }
              },
              {
                loader: __dirname
              }
            ]
          }
        ]
      }
    })
    compiler.outputFileSystem = new MemoryFileSystem()
    compiler.run()
  })
})
